> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions

> List the viewer's persisted sessions, most recently active first.



## OpenAPI

````yaml get /v1/agent_sessions
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/agent_sessions:
    get:
      tags:
        - chat
      summary: List Sessions
      description: List the viewer's persisted sessions, most recently active first.
      operationId: listAgentSessions
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque pagination cursor.
            title: Cursor
          description: Opaque pagination cursor.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAgentSessionsResponseBody'
        '401':
          content:
            text/plain:
              schema:
                type: string
          description: Unauthorized
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    ListAgentSessionsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgentSessionSummary'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: ListAgentSessionsResponseBody
    AgentSessionSummary:
      properties:
        id:
          type: string
          title: Id
        title:
          type: string
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        is_ephemeral:
          type: boolean
          title: Is Ephemeral
      type: object
      required:
        - id
        - title
        - created_at
        - updated_at
        - is_ephemeral
      title: AgentSessionSummary

````